> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yorlet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Acknowledge the confirmation of payee

> Acknowledge the confirmation of payee for the external account.



## OpenAPI

````yaml openapi-payments.json POST /v1/external_accounts/{id}/acknowledge_confirmation_of_payee
openapi: 3.1.0
info:
  title: Yorlet Payments API
  description: APIs for managing transactions, payment initiations, and external accounts.
  version: 1.0.0
servers:
  - url: https://api.yorlet.com
    description: Production
  - url: https://api.yorlet.io
    description: Sandbox
security: []
paths:
  /v1/external_accounts/{id}/acknowledge_confirmation_of_payee:
    post:
      tags:
        - External Accounts
      summary: Acknowledge the confirmation of payee
      description: Acknowledge the confirmation of payee for the external account.
      operationId: external_accounts_acknowledge_confirmation_of_payee
      parameters:
        - schema:
            type: string
            description: The id identifier.
          required: true
          description: The id identifier.
          name: id
          in: path
      responses:
        '200':
          description: Returns the acknowledged external account object.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Unique identifier for the object.
                  created:
                    type: number
                    description: >-
                      Time at which the object was created. Measured in seconds
                      since the Unix epoch.
                  account:
                    type: string
                    description: >-
                      The account that the object belongs to. Only returned if
                      the request is made with a valid Yorlet-Context header.
                  deleted:
                    type: boolean
                    default: false
                    description: Only returned if the object has been deleted.
                  object:
                    type: string
                    enum:
                      - external_account
                  available_payout_methods:
                    type: array
                    items:
                      type: string
                    description: The payout methods supported by this external account.
                  bank_account:
                    type: object
                    properties:
                      account_holder_name:
                        type:
                          - string
                          - 'null'
                        description: >-
                          The name of the person or business that owns the bank
                          account.
                      account_holder_type:
                        type:
                          - string
                          - 'null'
                        enum:
                          - individual
                          - company
                          - null
                        description: The type of entity that holds the account.
                      bank_name:
                        type:
                          - string
                          - 'null'
                        description: Name of the bank associated with the account.
                      country:
                        type: string
                        description: >-
                          Two-letter ISO code representing the country the bank
                          account is located in.
                      currency:
                        type: string
                        enum:
                          - aud
                          - eur
                          - gbp
                          - bwp
                          - bnd
                          - cny
                          - hkd
                          - kwd
                          - ils
                          - inr
                          - myr
                          - mur
                          - mxn
                          - mad
                          - nzd
                          - ngn
                          - omr
                          - qar
                          - sar
                          - sgd
                          - sek
                          - thb
                          - try
                          - usd
                          - aed
                          - uyu
                        description: >-
                          Three-letter ISO code for the currency of the bank
                          account.
                      last4:
                        type:
                          - string
                          - 'null'
                        description: The last four digits of the bank account number.
                      routing_number:
                        type:
                          - string
                          - 'null'
                        description: >-
                          The routing number, sort code or other
                          country-appropriate institution number for the bank
                          account.
                      swift_bic:
                        type:
                          - string
                          - 'null'
                        description: The SWIFT/BIC code identifying the bank.
                    required:
                      - account_holder_name
                      - account_holder_type
                      - bank_name
                      - country
                      - currency
                      - last4
                      - routing_number
                    description: >-
                      Bank account details when the external account type is
                      `bank_account`.
                  confirmation_of_payee:
                    type:
                      - object
                      - 'null'
                    properties:
                      status:
                        type:
                          - string
                          - 'null'
                        enum:
                          - awaiting_acknowledgement
                          - confirmed
                          - uninitiated
                          - null
                        description: The status of the confirmation of payee check.
                    required:
                      - status
                    description: Confirmation of payee status for the external account.
                  metadata:
                    type:
                      - object
                      - 'null'
                    additionalProperties:
                      type: string
                    description: >-
                      Set of key-value pairs that you can attach to an object.
                      This can be useful for storing additional information
                      about the object in a structured format.
                  status:
                    type: string
                    enum:
                      - new
                      - errored
                    description: The status of the external account.
                  type:
                    type: string
                    enum:
                      - bank_account
                    description: The type of the external account.
                required:
                  - id
                  - created
                  - object
                  - available_payout_methods
                  - confirmation_of_payee
                  - status
                  - type
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key authentication. Use "Bearer YOUR_API_KEY".

````